using XF.Domain.Repository;

namespace Hotline.Users;

public interface IWorkRepository : IRepository<Work>
{
    Task<Work> GetCurrentWorkByUserAsync(string userId, CancellationToken cancellationToken = default);
    Task<Work> GetCurrentWorkByTelAsync(string telNo, CancellationToken cancellationToken = default);
}